JH_CLASSPATH(1)

NAME
jh_classpath - sets classpaths in jar files

SYNOPSIS
jh_classpath [debhelper options]

jh_classpath [debhelper options] [-ppackage] [--classpath=cp] [jar [...]]

DESCRIPTION
jh_classpath is a javahelper program that can set the classpath on jar files for you.

It has two modes of operations. By default, it will read debian/package.classpath or debian/classpath and set the classpath of all jar files listed in that file. In this mode, jh_classpath does not accept any non-option arguments.

Alternatively, you can pass jh_classpath a list of jar files to update. It will process each of those and set the classpath of them to that value set by --classpath if passed. If --classpath is omitted the environment variable CLASSPATH will be used instead (rewriting its contents as necessary). In this mode, jh_classpath will not read debian/package.classpath nor debian/classpath.

FILES

debian/package.classpath, debian/classpath
    Parsed to determine which jar files should be processed for the given package. Note that unlike most other debhelper commands, jh_classpath will use debian/classpath as a fallback configuration file for all packages that it acts on. Other debhelper commands usually only apply this fallback to the "main package".

    The file consists of 0 or more lines with the following:

         jarfile classpath-file1 [... classpath-file2]

    Note that each file in the classpath is space-separated in this configuration file.

OPTIONS

-ccp, --classpath=cp

Beyond the above, jh_classpath also accepts the shared debhelper options documented in debhelper(7).

SEE ALSO
debhelper(7)

This program is a part of javahelper and uses debhelper as backend. There are also tutorials in /usr/share/doc/javahelper.

AUTHOR
Niels Thykier <niels@thykier.net>